https://sqlite.org/src/info/d04b2013b5436430

--- /test/like3.test
+++ /test/like3.test
@@ -130,12 +130,14 @@
 do_execsql_test like3-5.110 {
   SELECT x FROM t5a WHERE x LIKE '/a%';
 } {/abc}
+ifcapable !icu {
 do_eqp_test like3-5.111 {
   SELECT x FROM t5a WHERE x LIKE '/a%';
 } {
   QUERY PLAN
   `--SEARCH TABLE t5a USING COVERING INDEX sqlite_autoindex_t5a_1 (x>? AND x<?)
 }
+}
 do_execsql_test like3-5.120 {
   SELECT x FROM t5a WHERE x LIKE '^12%' ESCAPE '^';
 } {123}
--- /test/window6.test
+++ /test/window6.test
@@ -147,17 +147,17 @@
 #-------------------------------------------------------------------------
 #
 
-do_execsql_test 6.0 {
-  SELECT LIKE('!', '', '!') x WHERE x;
-} {}
-
-do_execsql_test 6.1 {
-  SELECT LIKE("!","","!")""WHeRE"";
-} {}
-
-do_catchsql_test 6.2 {
-  SELECT LIKE("!","","!")""window"";
-} {1 {near "window": syntax error}}
+ifcapable !icu {
+  do_execsql_test 6.0 {
+    SELECT LIKE('!', '', '!') x WHERE x;
+  } {}
+  do_execsql_test 6.1 {
+    SELECT LIKE("!","","!")""WHeRE"";
+  } {}
+  do_catchsql_test 6.2 {
+    SELECT LIKE("!","","!")""window"";
+  } {1 {near "window": syntax error}}
+}
 
 reset_db 
 do_execsql_test 7.0 {
@@ -166,9 +166,11 @@
   INSERT INTO t1 VALUES('');
 }
 
-do_execsql_test 7.1 {
-  SELECT count(*) FROM t1 WHERE x LIKE '!' ESCAPE '!';
-} {0}
+ifcapable !icu {
+  do_execsql_test 7.1 {
+    SELECT count(*) FROM t1 WHERE x LIKE '!' ESCAPE '!';
+  } {0}
+}
 
 #-------------------------------------------------------------------------
 #
@@ -336,4 +338,3 @@
 }
 
 finish_test
-
